body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #ffffff;
  overflow: hidden; 
}

.container {
  display: flex;
  height: 100vh;
  width: 100vw; 
}

.vis-network {
  outline: none;
}

.content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0px;
  box-sizing: border-box;
}

.graph {
  width: 100%;
  height: calc(100vh - 40px);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
}

/* hover显示title描述，需要设置节点的title内容，这部分是官方实现的，因此在这里修改官方样式 */
.vis-tooltip {
  position: absolute !important;
  z-index: 100 !important;
  padding: 4px !important;
  background-color: rgba(0, 0, 0, 0.4) !important; /* 黑色背景 */
  color: white !important; /* 白色文字 */
  border-radius: 4px !important;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2) !important;
  font-size: 12px !important;
  max-width: 300px !important; /* 根据需要调整最大宽度 */
  word-wrap: break-word !important; /* 自动换行 */
  white-space: normal !important; /* 允许换行 */
}


/* 蒙版样式 */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 20%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* 半透明黑色背景 */
  display: none; /* 初始状态隐藏 */
  flex-direction: column; /* 设置方向为列 */
  justify-content: center;
  align-items: center;
  z-index: 5000; /* 确保在最顶层 */
  text-align: center; /* 文字居中 */
}

.overlay h4 {
  margin-top: 20px; /* 调整文字与loading动画的距离 */
  color: white; /* 文字颜色 */
}

.overlay span {
  margin-top: 20px; /* 调整文字与loading动画的距离 */
  width: 80%;
  color: white; /* 文字颜色 */
  text-align: left; /* 文字左对齐 */
}

.hidden {
  display: none;
}
/* 版本号 */
.version {
  position: absolute;
  right: 2px;
  bottom: 2px;
  color: rgb(131, 131, 131);
  padding: 5px 10px;
  font-size: 12px;
  user-select: none; /* 不可选择 */
}
/* log样式 */
.log-container {
  position: fixed;
  top:50px;
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  max-width: 600px;
  z-index: 6000;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.log-message {
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
  padding: 10px 20px;
  margin: 5px 0;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  font-size: 14px;
  z-index: 6000;
  opacity: 1;
  transition: opacity 1s ease-in-out;
}

.log-message.fade-out {
  opacity: 0;
  z-index: 6000;
}

.no-duplicates-message{
  z-index: 6000;
  font-size: 12px;
  color: #888888;
}